Package com.independentsoft.office.odf.styles

# Enum Class CellProtectType

java.lang.Object
java.lang.Enum<CellProtectType>
com.independentsoft.office.odf.styles.CellProtectType

All Implemented Interfaces:
  `Serializable`, `Comparable<CellProtectType>`, `Constable`

public enum CellProtectType extends Enum<CellProtectType>
Represents how a cell is protected.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FORMULA_HIDDEN`
  If cell content is a formula, it is not displayed.
  `FORMULA_HIDDEN_AND_PROTECTED`
  If cell content is a formula, it is not displayed.
  `HIDDEN_AND_PROTECTED`
  Cell content is not displayed and cannot be edited.
  `NONE`
  None
  `PROTECTED`
  Cell content can not be edited.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CellProtectType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static CellProtectType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HIDDEN_AND_PROTECTED

    public static final CellProtectType HIDDEN_AND_PROTECTED
    Cell content is not displayed and cannot be edited. If content is a formula, the formula result is not displayed.

  - ### PROTECTED

    public static final CellProtectType PROTECTED
    Cell content can not be edited.

  - ### FORMULA_HIDDEN

    public static final CellProtectType FORMULA_HIDDEN
    If cell content is a formula, it is not displayed. It can be replaced by changing the cell content.

  - ### FORMULA_HIDDEN_AND_PROTECTED

    public static final CellProtectType FORMULA_HIDDEN_AND_PROTECTED
    If cell content is a formula, it is not displayed. The formula result is not displayed.

  - ### NONE

    public static final CellProtectType NONE
    None

- ## Method Details

  - ### values

    public static CellProtectType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CellProtectType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null